install glibc-2.6.1


Login or Register for Dates, Times and to Reply

 
Thread Tools Search this Thread
# 1  
install glibc-2.6.1

Hi,
I have downloaded glibc-2.6.1.tar.tar. But I do not know how to install it on Xubuntu. Do you know ?
Thank you.
# 2  
Looks like you downloaded it on a Windows machine and it screwed up the file extension.

It would either be *".tar.Z" or "*.tar.gz".

I would recommened using Xubuntu and doing

apt-get install glibc

or

apt-get upgrade glibc

rather than downloading manually.

It looks like it is actually the source package so you would have to build it yourself, normally unpack it, (gunzip, tar) and then configure and make, then make install.
# 3  
Thank you,
I have tried that several times by
root@-xubuntu:/home/ak# apt-get upgrade glibc
Reading package lists... Done
Building dependency tree
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

But when installing Oracle I receive this error message :

Expected result: ATLEAST=2.3.4-2.19
Actual Result: package glibc is not installed
Check complete. The overall result of this check is: Failed <<<<


Then I can not install Oracle 11g.
Regards.
# 4  
as far as I know, glibc is the same as libc6

what does the following say

Code:
dpkg -l libc6

# 5  
Here it is :

root@ak-xubuntu:/etc# dpkg -l libc6
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Installed/Config-files/Unpacked/Failed-config/Half-installed
|/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err: uppercase=bad)
||/ Name Version Description
+++-==============-==============-============================================
ii libc6 2.5-0ubuntu14 GNU C Library: Shared libraries


Thank you.
Login or Register for Dates, Times and to Reply

Previous Thread | Next Thread
Thread Tools Search this Thread
Search this Thread:
Advanced Search

Test Your Knowledge in Computers #506
Difficulty: Easy
A flowchart is a visual representation of an algorithm or process consisting of boxes or 'nodes' connected by directed edges.
True or False?

10 More Discussions You Might Find Interesting

1. Red Hat

Trying to install glibc-common 686 on a x64 system

Hi, I hoping someone can help me. I am running a 64 bit RH 6.5 Server, and have to install glibc.686 for a Symantec package I need to install. A prerequisite for glibc.686 is glibc-common. I'm trying to install this manually, as it's not on our local repository, but when I try, I get the... (1 Reply)
Discussion started by: badoshi
1 Replies

2. UNIX and Linux Applications

Install glibc-debug for glibc-2.11.3-17.31.1 on SLES 11

I have to debug a function getopt_long in glibc-2.11.3-17.31.1. For that how can I download and install its corresponding glibc-debug on SLES 11? (8 Replies)
Discussion started by: rupeshkp728
8 Replies

3. UNIX for Dummies Questions & Answers

How to switch to a certain version of glibc?

Hello, I currently have glibc 2.13. I was wondering if you could teach me how to switch to : glibc2.3.2 I would really appreciate it if you tell me how to do it step by step since I am a beginner . thanks. (1 Reply)
Discussion started by: alireza6485
1 Replies

4. UNIX for Advanced & Expert Users

got error when install glibc

hi all, i am play LFS recently. but i can not go on for a an error when install glibc. here is the error log: if test -r /usr/include/gnu/stubs-32.h && cmp -s /mnt/lfs/sources/glibc-build/stubs.h /usr/include/gnu/stubs-32.h; \ then echo 'stubs.h unchanged'; \ else /usr/bin/install -c... (1 Reply)
Discussion started by: arnold.king
1 Replies

5. UNIX for Dummies Questions & Answers

Help installing GLIBC on SuSe 11.

I need help updating the glibc in my suse box. I have no clue how to do this and I am afraid of breaking this box. Can someone please give me some direction? Thanks! (2 Replies)
Discussion started by: OptimusPrime1
2 Replies

6. UNIX for Dummies Questions & Answers

locale and glibc and charset

what's the relationship among locale, glibc, charset, charmap and fonts? why locale needs to be generated by glibc? how? what are in the locale-archive file? and what are in font files? (0 Replies)
Discussion started by: vistastar
0 Replies

7. Ubuntu

glibc version

I need glibc version 2.2 - 2.11 for a installation. but i got glibc 2.0-2.1 from software centre... what to do? can u help? (8 Replies)
Discussion started by: paramad
8 Replies

8. UNIX for Dummies Questions & Answers

message about glibc

Hi I have a strange phenomenon on putty session connected to RHEL4 server. My session is active but without any activity for 2 or 3 hours and suddenly this message appears on the prompt : $ *** glibc detected *** free(): invalid pointer: 0xb66e0d50 *** Could you have an idea about it ? (2 Replies)
Discussion started by: madmat
2 Replies

9. Programming

glibc error

Hi All, This is my first time posting on this forum. I'd like to participate actively on this list. Here we go! I'm making a little application and I'm using ncurses. After a while using it, I receive the following error and the stack trace is shown: ***glibc detected*** malloc() :... (6 Replies)
Discussion started by: lagigliaivan
6 Replies

10. UNIX for Dummies Questions & Answers

glibc 2.2.2

After installing glibc 2.2.2 on my redhat 6.1 (with all necessary updates). I try to restart but my compter say i do not existst like you deleted root account and you are root. (i have seen people doing that ;-P ). I run configure with these command --bindir=/bin --sbindir=/sbin --libdir=/lib... (1 Reply)
Discussion started by: jurrien
1 Replies

Featured Tech Videos